{
  "_format": "hh-sol-artifact-1",
  "contractName": "OpcodeTester",
  "sourceName": "src/_testing/unit/opcodes/OpcodeTester.sol",
  "abi": [
    {
      "inputs": [
        {
          "internalType": "address",
          "name": "_yulContract",
          "type": "address"
        }
      ],
      "stateMutability": "nonpayable",
      "type": "constructor"
    },
    {
      "inputs": [],
      "name": "executeAllOpcodes",
      "outputs": [],
      "stateMutability": "payable",
      "type": "function"
    },
    {
      "inputs": [
        {
          "internalType": "bytes2",
          "name": "",
          "type": "bytes2"
        }
      ],
      "name": "opcodeExecutions",
      "outputs": [
        {
          "internalType": "uint256",
          "name": "",
          "type": "uint256"
        }
      ],
      "stateMutability": "view",
      "type": "function"
    },
    {
      "inputs": [],
      "name": "rollingBlockDetailComputations",
      "outputs": [
        {
          "internalType": "bytes32",
          "name": "",
          "type": "bytes32"
        }
      ],
      "stateMutability": "view",
      "type": "function"
    },
    {
      "inputs": [],
      "name": "yulContract",
      "outputs": [
        {
          "internalType": "address",
          "name": "",
          "type": "address"
        }
      ],
      "stateMutability": "view",
      "type": "function"
    }
  ],
  "bytecode": "[encoded data, 9774 characters]",
  "deployedBytecode": "[encoded data, 9480 characters]",
  "linkReferences": {},
  "deployedLinkReferences": {}
}
